<?php
################################################################################
# @Name : line_asset.php
# @Desc : Display Statistics
# @call : /stat.php
# @parameters : 
# @Author : Flox
# @Create : 26/01/2016
# @Update : 08/07/2016
# @Version : 3.1.9
################################################################################

$user_id=$_SESSION['user_id'];

//count create period
$query=$db->query("SELECT count(*) FROM `tassets` WHERE technician LIKE '$_POST[tech]'  and type LIKE '$_POST[type]' and type LIKE '$_POST[type]' and department LIKE '$_POST[service]' and date_install like '$_POST[year]-$_POST[month]-%' AND disable='0'");
$row=$query->fetch();
$count=$row[0];
$query->closeCursor(); 

//count total 
$query=$db->query("SELECT count(*) FROM `tassets` WHERE technician LIKE '$_POST[tech]'  and type LIKE '$_POST[type]' and type LIKE '$_POST[type]' and department LIKE '$_POST[service]' AND disable='0'");
$row=$query->fetch();
$count4=$row[0];
$query->closeCursor();

//query for year selection
if (($_POST['month'] == '%') && ($_POST['year']!=='%'))
{
    $values1 = array();
    $values2 = array();
    $xnom1 = array();
    $xnom2 = array();
	$libchart="Evolution des matériels installés et recyclés pour l\'année $_POST[year]";
	$query1=$db->query("SELECT month(date_install) as x,count(*) as y FROM `tassets` WHERE technician LIKE '$_POST[tech]'  and type LIKE '$_POST[type]' and type LIKE '$_POST[type]'  and date_install like '$_POST[year]-$_POST[month]-%' AND disable='0' group by x ");
	$query2=$db->query("SELECT month(date_recycle) as x,count(*) as y FROM `tassets` WHERE technician LIKE '$_POST[tech]'  and type LIKE '$_POST[type]' and type LIKE '$_POST[type]' and date_recycle not like '0000-00-00 00:00:00' and date_recycle like '$_POST[year]-$_POST[month]-%' AND disable='0' group by x ");
	
	// push data in table
	while($data = $query1->fetch())
	{
		array_push($values1 ,$data['y']);
		array_push($xnom1 ,$data['x']);
	}
	$query1->closeCursor(); 
	while($data = $query2->fetch())
	{
		array_push($values2 ,$data['y']);
		array_push($xnom2 ,$data['x']);
	}
	$query2->closeCursor(); 
}
//query for month selection
else if ($_POST['month']!='%')
{
	
    $values1 = array();
    $values2 = array();
    $xnom1 = array();
    $xnom2 = array();
	$monthm=$_POST['month'];
	if($_POST['year']=='%') {$postyear='de toutes les années';} else {$postyear=$_POST['year'];}
	$libchart="Évolution des matériels installés et recyclés pour le mois de $mois[$monthm] $postyear";
	$query1=$db->query("SELECT day(date_install) as x,count(*) as y FROM `tassets` WHERE technician LIKE '$_POST[tech]'  and type LIKE '$_POST[type]' and type LIKE '$_POST[type]'  and date_install like '$_POST[year]-$_POST[month]-%' AND disable='0' group by x ");
	$query2=$db->query("SELECT day(date_recycle) as x,count(*) as y FROM `tassets` WHERE technician LIKE '$_POST[tech]'  and type LIKE '$_POST[type]' and type LIKE '$_POST[type]'  and date_recycle like '$_POST[year]-$_POST[month]-%' AND disable='0' group by x ");

	//push data in table
	while($data = $query1->fetch())
	{
    	array_push($values1 ,$data['y']);
    	array_push($xnom1 ,$jour[$data['x']]);
	}
	$query1->closeCursor(); 
	while($data = $query2->fetch())
	{
    	array_push($values2 ,$data['y']);
    	array_push($xnom2 ,$jour[$data['x']]);
	}
	$query2->closeCursor(); 
}
//query for all years selection
else if ($_POST['year']=='%')
{
    $values1 = array();
    $values2 = array();
    $xnom1 = array();
    $xnom2 = array();
	$libchart="Évolution des matériels installés et recyclés sur toutes les années";
	$query1=$db->query("SELECT year(date_install) as x,count(*) as y FROM `tassets` WHERE technician LIKE '$_POST[tech]'  and type LIKE '$_POST[type]' and type LIKE '$_POST[type]' and date_install like '$_POST[year]-$_POST[month]-%' AND disable='0' group by x ");
	$query2=$db->query("SELECT year(date_recycle) as x,count(*) as y FROM `tassets` WHERE technician LIKE '$_POST[tech]'  and type LIKE '$_POST[type]' and type LIKE '$_POST[type]' and date_recycle not like '0000-00-00' and date_recycle like '$_POST[year]-$_POST[month]-%' AND disable='0' group by x ");
	// push data in table
	while($data = $query1->fetch())
	{
		array_push($values1 ,$data['y']); array_push($xnom1 ,$data['x']);	
	}	
	$query1->closeCursor(); 
	while($data = $query2->fetch())
	{
		array_push($values2 ,$data['y']); array_push($xnom2 ,$data['x']);
	}
	$query2->closeCursor(); 
}

if ($count!=0) 
{
	$liby="Nombre de matériels";
	$container="container20";		
	include('./stat_line.php');
	echo '<div id="'.$container.'" style="min-width: 400px; height: 400px; margin: 0 auto"></div>';
}
else { echo '<div class="alert alert-danger"><strong><i class="icon-remove"></i> Erreur:</strong> Aucun matériel installé ou recyclé dans la plage indiqué.</div>';}

//display query on debug mode
if($rparameters['debug']==1)
{
    print_r($values1);echo "<br />";
    for($i=0;$i<sizeof($values1);$i++) 
    { 
		$last=sizeof($values1)-1;
		if ($i!=$last) echo '['.$xnom1[$i].','.$values1[$i].'],'; else echo '['.$xnom1[$i].','.$values1[$i].']';
    } 
    echo "<br />";
    print_r($values2);echo "<br />";
    for($i=0;$i<sizeof($values2);$i++) 
    { 
		$last=sizeof($values2)-1;
		if ($i!=$last) echo '['.$xnom2[$i].','.$values2[$i].'],'; else echo '['.$xnom2[$i].','.$values2[$i].']';
    } 
}
?>	